.btn-container {
    position: absolute;
    left: 30%;
    transform: translateX(-50%);
    bottom: 50px;
  }
  button {
    position: relative;
    padding: 8px 15px;
    background: #fec195;
    font-size: 17px;
    font-weight: 500;
    color: #fffefe;
    border: 1px solid #fec195;
    border-radius: 30px;
    box-shadow: 0 0 0 #fec1958c;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
  }
  
  .star-1 {
    position: absolute;
    top: 20%;
    left: 20%;
    width: 25px;
    height: auto;
    filter: drop-shadow(0 0 0 #fffdef);
    z-index: -5;
    transition: all 1s cubic-bezier(0.05, 0.83, 0.43, 0.96);
  }
  
  .star-2 {
    position: absolute;
    top: 45%;
    left: 45%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 0 #fffdef);
    z-index: -5;
    transition: all 1s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-3 {
    position: absolute;
    top: 40%;
    left: 40%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 0 #fffdef);
    z-index: -5;
    transition: all 1s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-4 {
    position: absolute;
    top: 20%;
    left: 40%;
    width: 8px;
    height: auto;
    filter: drop-shadow(0 0 0 #fffdef);
    z-index: -5;
    transition: all 0.8s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-5 {
    position: absolute;
    top: 25%;
    left: 45%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 0 #fffdef);
    z-index: -5;
    transition: all 0.6s cubic-bezier(0, 0.4, 0, 1.01);
  }
  
  .star-6 {
    position: absolute;
    top: 5%;
    left: 50%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 0 #fffdef);
    z-index: -5;
    transition: all 0.8s ease;
  }
  
  button:hover {
    background: transparent;
    color: #fec195;
    box-shadow: 0 0 25px #fec1958c;
  }
  
  button:hover .star-1 {
    position: absolute;
    top: -80%;
    left: -30%;
    width: 25px;
    height: auto;
    filter: drop-shadow(0 0 10px #fffdef);
    z-index: 2;
  }
  
  button:hover .star-2 {
    position: absolute;
    top: -25%;
    left: 10%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 10px #fffdef);
    z-index: 2;
  }
  
  button:hover .star-3 {
    position: absolute;
    top: 55%;
    left: 25%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 10px #fffdef);
    z-index: 2;
  }
  
  button:hover .star-4 {
    position: absolute;
    top: 30%;
    left: 80%;
    width: 8px;
    height: auto;
    filter: drop-shadow(0 0 10px #fffdef);
    z-index: 2;
  }
  
  button:hover .star-5 {
    position: absolute;
    top: 25%;
    left: 115%;
    width: 15px;
    height: auto;
    filter: drop-shadow(0 0 10px #fffdef);
    z-index: 2;
  }
  
  button:hover .star-6 {
    position: absolute;
    top: 5%;
    left: 60%;
    width: 5px;
    height: auto;
    filter: drop-shadow(0 0 10px #fffdef);
    z-index: 2;
  }
  
  .fil0 {
    fill: #fffdef;
  }
  /* Responsive styles */
  @media (max-width: 768px) {
    .btn-container {
      left: 10%;
      bottom: 10px;
      transform: none;
    }
  
    .btn-container button {
      padding: 8px 16px;
      font-size: 14px;
    }
  }
  
  @media (max-width: 576px) {
    .btn-container {
      left: 10%;
      bottom: 5px;
    }
  
    .btn-container button {
      bottom: -20px;
      padding: 4px 10px;
      font-size: 8px;
    }
      
  
  }

 
  .btn-container {
    text-align: center;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 15px;
  }

/* Media query for smaller devices */
@media screen and (max-width: 768px) {
    .btn-container {
        bottom: 48px;
        width: 100%;
        left: 50%;
        transform: translateX(-50%);
    }
  }
  
  .item .card {
    transition: transform 0.3s ease, background-color 0.3s ease;
  }
  
  .item .card:hover {
    transform: scale(1.05); 
    background-color: #f0f0f0; 
  }
  
  .item img {
    object-fit: cover;
  }
  
  .item .card:hover img {
    transform: scale(1.1);
    filter: brightness(1.2); 
  }
  .owl-carousel .item {
    margin: 0 10px;
  }
  .owl-carousel .card {
    transition: transform 0.3s ease-in-out;
  }
  .owl-carousel .card:hover {
    transform: translateY(-10px);
  }
  .group-id {
    font-weight: bold;
  }